Skip to main content
GET
/
v2
/
items
Query Items
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/items \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "totalItems": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "items": [
    {
      "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "sKU": "<string>",
      "manufacturerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "responsiblePersonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "isActive": true,
      "categories": [
        {
          "categoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "name": "<string>"
        }
      ],
      "name": "<string>",
      "description": "<string>",
      "shortDescription": "<string>",
      "identifiers": {
        "gtin": "<string>",
        "manufacturerNumber": "<string>",
        "iSBN": "<string>",
        "uPC": "<string>",
        "amazonFnsku": "<string>",
        "asins": [
          "<string>"
        ],
        "ownIdentifier": "<string>"
      },
      "components": [
        {
          "itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "quantity": 123,
          "sortNumber": 123
        }
      ],
      "childItems": [
        123
      ],
      "parentItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "itemPriceData": {
        "salesPriceNet": 123,
        "suggestedRetailPrice": 123,
        "purchasePriceNet": 123,
        "ebayPrice": 123,
        "amazonPrice": 123
      },
      "activeSalesChannels": [
        "<string>"
      ],
      "sortNumber": 123,
      "annotation": "<string>",
      "added": "2023-11-07T05:31:56Z",
      "changed": "2023-11-07T05:31:56Z",
      "releasedOnDate": "2023-11-07T05:31:56Z",
      "storageOptions": {
        "inventoryManagementActive": true,
        "splitQuantity": true,
        "globalMinimumStockLevel": 123,
        "buffer": 123,
        "serialNumberItem": true,
        "serialNumberTracking": true,
        "subjectToShelfLifeExpirationDate": true,
        "subjectToBatchItem": true,
        "procurementTime": 123,
        "determineProcurementTimeAutomatically": true,
        "additionalHandlingTime": 123
      },
      "countryOfOrigin": "<string>",
      "conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "shippingClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "productGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "dimensions": {
        "length": 123,
        "width": 123,
        "height": 123
      },
      "weights": {
        "itemWeigth": 123,
        "shippingWeight": 123
      },
      "allowNegativeStock": true,
      "quantities": {
        "minimumOrderQuantity": 123,
        "minimumPurchaseQuantityForCustomerGroup": [
          {
            "customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
            "permissibleOrderQuantity": 123,
            "minimumPurchaseQuantity": 123,
            "isActive": true
          }
        ],
        "permissibleOrderQuantity": 123
      },
      "dangerousGoods": {
        "unNumber": "<string>",
        "hazardNo": "<string>"
      },
      "taric": "<string>",
      "searchTerms": "<string>",
      "priceListActive": true,
      "ignoreDiscounts": true,
      "availabilityId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
    }
  ],
  "totalPages": 123,
  "hasPreviousPage": true,
  "hasNextPage": true,
  "nextPageNumber": 123,
  "previousPageNumber": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

searchKeyWord
string

A search key word which is using many important item identificators. For more info see documentation or the configuration in the search in items in JTL-Wawi.

categoryId
string<uuid>
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

manufacturerId
string<uuid>
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

parentItemId
string<uuid>
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

changedSince
string<date-time>

The date last changes were made to the item.

isActiveOnSalesChannelId
string

The ID of the sales channel on which this item is active.

pageNumber
integer<int32>

Number of the page of items to fetch.

pageSize
integer<int32>

Size of the page that is specified by pageNumber.

Response

Returns all items, can be filtered by searchKeyWord and postalCode.

Represents a paginated list of items

totalItems
integer<int32>

Gets or sets the total number of items available in the data source.

pageNumber
integer<int32>

Gets or sets the current page number in the paginated list.

pageSize
integer<int32>

Gets or sets the number of items per page in the paginated list.

items
object[]

Gets or sets the collection of items contained in the paged list.

totalPages
integer<int32>

Gets the total number of pages based on the total number of items and the page size.

hasPreviousPage
boolean

Gets a value indicating whether there is a previous page available in the paginated list.

hasNextPage
boolean

Gets a value indicating whether there is a next page available.

nextPageNumber
integer<int32>

Gets the number of the next page if there is one; otherwise, returns the total number of pages.

previousPageNumber
integer<int32>

Gets the number of the previous page. If there is no previous page, it returns 1.